<?php 

declare(strict_types =1);

namespace MyApp\Entity;

class Role{
    private ?int $id_role = null; // vide tant qu'il n'a pas récup de valeur de la BDD
    private string $nom_role;

    public function __construct(?int $id_role, string $nom_role){
        $this->id_role = $id_role;
        $this->nom_role = $nom_role;
    }

    // get pour récuperer des données dans la BDD
    public function getId_role():?int{
        return $this->id_role;
    }
    public function setId_role(?int $id_role):void{
        $this->id_role = $id_role;
    }

    public function getNom_role():string{
        return $this->nom_role;
    }
    public function setNom_role(string $nom_role):void{
        $this->nom_role = $nom_role;
    }

}